Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class ProcessAssetDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.ProcessAssetDesc

All Implemented Interfaces:
  Serializable, org.kie.internal.deployment.DeployedAsset

    public class ProcessAssetDesc

extends Object
implements Serializable, org.kie.internal.deployment.DeployedAsset

See Also:
  Serialized Form

Constructor Summary
`ProcessAssetDesc()`
`ProcessAssetDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String deploymentId)`

Method Summary
`void` | `addForm(String id, String formContent)`
`boolean` | `equals(Object obj)`
`String` | `getDeploymentId()`
`String` | `getEncodedProcessSource()`
`Map<String,String>` | `getForms()`
`String` | `getId()`
`String` | `getKnowledgeType()`
`String` | `getName()`
`String` | `getNamespace()`
`String` | `getOriginalPath()`
`String` | `getPackageName()`
`List<String>` | `getRoles()`
`String` | `getType()`
`String` | `getVersion()`
`int` | `hashCode()`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setEncodedProcessSource(String processString)`
`void` | `setForms(Map<String,String> forms)`
`void` | `setId(String id)`
`void` | `setName(String name)`
`void` | `setOriginalPath(String originalPath)`
`void` | `setPackageName(String packageName)`
`void` | `setRoles(List<String> roles)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessAssetDesc

    public ProcessAssetDesc()

### ProcessAssetDesc

    public ProcessAssetDesc(String id,
                            String name,
                            String version,
                            String packageName,
                            String type,
                            String knowledgeType,
                            String namespace,
                            String deploymentId)

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `org.kie.internal.deployment.DeployedAsset`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.deployment.DeployedAsset`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `org.kie.internal.deployment.DeployedAsset`

### getPackageName

    public String getPackageName()

### getType

    public String getType()

### getKnowledgeType

    public String getKnowledgeType()

  Specified by:
    `getKnowledgeType` in interface `org.kie.internal.deployment.DeployedAsset`

### getNamespace

    public String getNamespace()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setId

    public void setId(String id)

### setName

    public void setName(String name)

### setPackageName

    public void setPackageName(String packageName)

### getOriginalPath

    public String getOriginalPath()

  Specified by:
    `getOriginalPath` in interface `org.kie.internal.deployment.DeployedAsset`

### setOriginalPath

    public void setOriginalPath(String originalPath)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getDeploymentId

    public String getDeploymentId()

### setDeploymentId

    public void setDeploymentId(String deploymentId)

### getEncodedProcessSource

    public String getEncodedProcessSource()

### setEncodedProcessSource

    public void setEncodedProcessSource(String processString)

### getForms

    public Map<String,String> getForms()

### setForms

    public void setForms(Map<String,String> forms)

### addForm

    public void addForm(String id,
                        String formContent)

### getRoles

    public List<String> getRoles()

### setRoles

    public void setRoles(List<String> roles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.